<template>
  <v-layout>
    <div class="content-without-bg">
      <div class="form container flex justify-center mb-3">
        <div class="col-sm-6">
          <div class="row">
            <div class="col-sm-12 title">Contact Details</div>
          </div>

          <div class="row sub-form mt-5">
            <div class="row-100 flex">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Title</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.Title" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">First Name</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.Firstnam" />
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Surname</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.Surname" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-12">
                <label for="" class="label col-sm-12">Address Line1</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.address1" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-12">
                <label for="" class="label col-sm-12">Address Line2</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.address2" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Town</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" />
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Country</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Postcode</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.Postcode" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Telephone</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.telephone" />
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Mobile</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.mobile" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-12">
                <label for="" class="label col-sm-12">Email</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="user.Email" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">My Audi Centre</label>
                <div class="form-field">
                  <select class="col"></select>
                  <div class="arrow" />
                </div>
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Preferred Service Centre</label>
                <div class="form-field">
                  <select class="col"></select>
                  <div class="arrow" />
                </div>
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-12">
                <label for="" class="label col-sm-12">Change Password</label>
                <input type="password" class="input col-sm-12" id="" placeholder="" />
              </div>
            </div>
            <div class="row-100 flex mt-5">
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12">Edit</button>
              </div>
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12 transparent-btn" @click="goBack">Back</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Footer :showTop="false" />
    </div>
  </v-layout>
</template>

<script>
  /* ============
   * Account Detail Page
   * ============
   *
   * Page where the user can view the account information.
   */

  import VLayout from '@/layouts/Default'
  import VCard from '@/components/Card'

  export default {
    /**
     * The name of the page.
     */
    name: 'account-detail',

    data() {
      return {
        user: this.$route.params,
      };
    },

    mounted() {
      if ($('html').hasClass('fp-enabled')) {
        $.fn.fullpage.destroy('all');
      }
      this.user = Object.assign({}, this.user);
    },

    methods: {
      goBack() {
        this.$router.go(-1)
      },
    },

    /**
     * The components that the page can use.
     */
    components: {
      VLayout,
      VCard,
    },
  }

</script>
